Subject: Re: [MIB-DOCTORS] RFC 4001 question

From: "Biton, Shlomi (Shlomi)" <[email-masked]>
Date: Tue, 1 Sep 2009 13:04:12 +0200

Hi,
What about trap varbind presentation? Or table view in MIB browsers? Are
the trap daemon and MIB browser knows to search for the Address type MIB
item and present IPv4/IPv6 address/FQDN correctly? Do you know if there
is a real MIB browser/trap daemon that implement such logic?
Thanks,
Shlomi 

-----Original Message-----
From: David Harrington [mailto:[email-masked]] 
Sent: Wednesday, August 26, 2009 5:37 PM
To: Biton, Shlomi (Shlomi); 'Bert (IETF) Wijnen'; Romascanu, Dan (Dan)
Cc: [email-masked]
Subject: RE: [MIB-DOCTORS] RFC 4001 question

Hi,

I think the right answer is "use a tool that supports multiple varbinds
in a message".

I don't have the time right now to look up the reference, but I think
support for multiple varbinds is required for compliance to the SNMPv3
standard. That is probably stated in RFC 3416.

dbh

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]] On Behalf Of Biton, Shlomi 
> (Shlomi)
> Sent: Wednesday, August 26, 2009 6:44 AM
> To: Bert (IETF) Wijnen; Romascanu, Dan (Dan)
> Cc: [email-masked]
> Subject: Re: [MIB-DOCTORS] RFC 4001 question
> 
> Hi,
> What about case where the row is static/active and some of the 
> vardinds can be configured as InetAddressType/InetAddress?
> Thanks,
> Shlomi
> 
> -----Original Message-----
> From: Bert (IETF) Wijnen [mailto:[email-masked]]
> Sent: Wednesday, August 26, 2009 12:54 PM
> To: Romascanu, Dan (Dan)
> Cc: Juergen Schoenwaelder; [email-masked]; Biton, Shlomi 
> (Shlomi)
> Subject: Re: [MIB-DOCTORS] RFC 4001 question
> 
> I would think that if the InetAddressType/InetAddress pair is part of 
> a row in a read-create table, that the browser user could do:
> - set row to notInService
> - change InetAddressType
> - change InetAddres
> - set row active
> 
> Each as a separate SNMP SET request. Not ideal, but doable.
> It of course also means that the agent must support the notInService 
> for this to work (which may not always be the case... some 
> MODULE-COMPLIANCES actually do not require support for not_inService 
> ...
> or so I thought).
> 
> Bert
> 
> 
> Romascanu, Dan (Dan) wrote:
> >  
> >
> >   
> >> -----Original Message-----
> >> From: Juergen Schoenwaelder
> >>     
> >
> >
> >   
> >> With "multiple SetRequest" you probably mean a single
> SetRequest with
> 
> >> multiple varbinds.
> >>     
> >
> > Yes. Multiple Sets request :-)
> >
> >   
> >> If that interpretation is
> >> correct, then yes a MIB browser that can do only single varbind 
> >> SetRequests might have a problem with a compliant implementation.
> >>
> >>     
> >
> > That was my guess. 
> >
> > Thanks,
> >
> > Dan
> >
> > _______________________________________________
> > MIB-DOCTORS mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/mib-doctors
> >
> >
> >   
> 
> _______________________________________________
> MIB-DOCTORS mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mib-doctors
>